Package pacManReloaded.common.messages

## Class SingleStringParameterMessage

- java.lang.Object
- - pacManReloaded.common.messages.SingleStringParameterMessage

- All Implemented Interfaces:
    `IMessage`

      public class SingleStringParameterMessage
      extends java.lang.Object
      implements IMessage

- - ### Field Summary

    - ### Fields inherited from interface pacManReloaded.common.messages.IMessage

      `separator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleStringParameterMessage​(Command commandType, java.lang.String paramValue)` | Constructor of the class

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getParamValue()` | "getter" for the value of the parameters
    `Command` | `getType()` | "getter" for the type of the command
    `java.lang.String` | `toString()` | the to String method, forms the message into a string, seperated by "|"

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleStringParameterMessage

          public SingleStringParameterMessage​(Command commandType,
                                              java.lang.String paramValue)

      Constructor of the class
      Parameters:
        `commandType` - type of the command
        `paramValue` - value of the parameters

  - ### Method Detail

    - #### getParamValue

          public java.lang.String getParamValue()

      "getter" for the value of the parameters
      Returns:
        value of the parameters

    - #### getType

          public Command getType()

      "getter" for the type of the command
      Specified by:
        `getType` in interface `IMessage`
      Returns:
        type of the command

    - #### toString

          public java.lang.String toString()

      the to String method, forms the message into a string, seperated by "|"
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string which contains the command type and the parameter Value seperated by a "|"